Skip to main content
POST
Fire an Automation now

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

checkfu-version
enum<string>
required
Available options:
2026-08-31
idempotency-key
string
required
Required string length: 1 - 255

Path Parameters

id
string
required
Pattern: ^auto_[0-9a-f]{32}$

Body

application/json
event
any

A sample trigger event: finite JSON of at most 1048576 bytes (1 MiB) with at most 64 levels and 100,000 nodes.

Response

The initial Run (agent target) or the step-program firing (steps target) | AutomationStepProgramFiring

The initial Run (agent target) or the step-program firing (steps target)

collaboration_space_id
null
required
id
string
required
Pattern: ^run_[0-9a-f]{32}$
workspace_id
string
required
Pattern: ^wrkspc_[0-9a-f]{32}$
session_id
string
required
Pattern: ^sess_[0-9a-f]{32}$
agent
string
required
Pattern: ^agent_[0-9a-f]{32}$
principal
string
required
Pattern: ^prin_[0-9a-f]{32}$
requested_by
object
required
acted_as
string
required
Pattern: ^prin_[0-9a-f]{32}$
caused_by
object
required
agent_placement_id
string | null
required
Pattern: ^aplace_[0-9a-f]{32}$
trigger
object
required
status
enum<string>
required
Available options:
queued,
running,
requires_action,
completed,
failed,
canceled
cost
object
required
artifacts
object[]
required
stop_reason
enum<string> | null
required
Available options:
end_turn,
requires_action,
interrupted,
retries_exhausted,
max_tokens,
max_turn_requests,
refusal,
error,
budget_reached
error
object | null
required
created_at
string
required
updated_at
string
required
completed_at
string | null
required
collaboration_space_kind
enum<string>
Available options:
root,
team,
channel,
personal